// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html


const { ccclass, property } = cc._decorator;
import pg from "./pg";
@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:
    private count = 0;
    onLoad() {
        this.count = 0;
    }

    start() {


    }

    update(dt) {
        this.count++;
        // if (this.count >= 30) this.count = 0;
        this.updateItems();
    }
    updateItems() {
        let cur = Math.floor(this.count / 30) % 4
        for (let i = 0; i < 4; i++) {
            let item = pg.view.find(this, "btn_audio" + i);
            item.active = cur == i;
        }
    }
}
